=== debian/changelog ===
ledger-mode (3.1.2~pre2+g3ec8506e-2) unstable; urgency=medium

  * Split from source package ledger, built from ledger-mode repo.
  * New upstream snapshot.
  * Switch maintainer to emacsen-addons team.

 -- David Bremner <bremner@debian.org>  Wed, 06 Feb 2019 08:35:39 -0400
