=== debian/control ===
Source: ledger-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa, ledger <!nocheck>
Standards-Version: 4.1.5
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ledger
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Conflicts: emacsen-common (<< 2.0.0)
Breaks: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Replaces: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Suggests: ledger
Enhances: ledger
Description: command-line double-entry accounting program (emacs interface)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the emacs interface.

Package: ledger-el
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, elpa-ledger
Description: command-line double-entry accounting program (emacs interface)
 .
 This is a transitional package, and can safely be removed.
