## ledger-mode 3.1.2~pre3+g5067e408

=== debian/changelog ===
ledger-mode (3.1.2~pre3+g5067e408-2) unstable; urgency=medium

  * upload to unstable
  * Assert compliance with policy 4.4.0 (no changes)

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 12:31:49 -0300

ledger-mode (3.1.2~pre3+g5067e408-1) experimental; urgency=medium

  * use dh_elpa 2.x
  * new upstream snapshot
  * drop transitional package ledger-el

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 14:51:14 -0300

ledger-mode (3.1.2~pre2+g3ec8506e-3) unstable; urgency=medium

  * Fix Vcs-*
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Tue, 03 Sep 2019 22:34:47 -0300
