=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/ledger-mode.git-$1.tar.gz/" \
    https://github.com/ledger/ledger-mode.git/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
