=== debian/changelog ===
ledger-mode (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Breaks upgrade to Emacs 28.1", thanks to intrigeri (Closes:
    #1017776).
  * disable test ledger-complete/test-ledger-accounts-exclude-function,
    known to fail in batch mode.

 -- David Bremner <bremner@debian.org>  Sun, 04 Sep 2022 09:15:15 -0300

ledger-mode (3.1.2~pre3+g5067e408-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Load test/test-helper.el from debian/elpa-test using ert_eval.
  * Add test/test-helper.el to autopkgtest_keep in elpa-test.

  [ David Bremner ]
  * add Depends: emacs, ledger to debian/control/tests

 -- David Bremner <bremner@debian.org>  Sun, 15 Sep 2019 09:58:00 -0300
