=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper (>= 10),
- dh-elpa, ledger <!nocheck>
-Standards-Version: 4.1.5
+ dh-elpa (>= 2.0), ledger <!nocheck>
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-elpa
+Vcs-Git: https://salsa.debian.org/emacsen-team/ledger-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ledger-mode
 
 Package: elpa-ledger
 Architecture: all
@@ -23,11 +25,3 @@
  does the hard work of balancing your books and reporting.
  .
  This package provides the emacs interface.
-
-Package: ledger-el
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}, elpa-ledger
-Description: command-line double-entry accounting program (emacs interface)
- .
- This is a transitional package, and can safely be removed.
